# neutron_lib.api.validators.availability_zone module

neutron_lib.api.validators.availability_zone.convert_az_list_to_string(az_list)

  Convert a list of availability zones into a string.

  Parameters:

    az_list – A list of AZs.

  Returns:

    The az_list in string format.

neutron_lib.api.validators.availability_zone.convert_az_string_to_list(az_string)

  Convert an AZ list in string format into a python list.

  Parameters:

    az_string – The AZ list in string format.

  Returns:

    The python list of AZs build from az_string.

this page last updated: 2026-03-03 11:51:03

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug